rpm: rpmstring.h File Reference

rpm 4.13.0

Functions
rpmstring.h File Reference
String Manipulation API.

String manipulation helper functions. More...

`#include <stddef.h>`
`#include <string.h>`
`#include <rpm/rpmutil.h>`
Include dependency graph for rpmstring.h:

Go to the source code of this file.

## Functions
static RPM_GNUC_CONST int | rislower (int c)
| Locale insensitive islower(3) More...
static RPM_GNUC_CONST int | risupper (int c)
| Locale insensitive isupper(3) More...
static RPM_GNUC_CONST int | risalpha (int c)
| Locale insensitive isalpha(3) More...
static RPM_GNUC_CONST int | risdigit (int c)
| Locale insensitive isdigit(3) More...
static RPM_GNUC_CONST int | risalnum (int c)
| Locale insensitive isalnum(3) More...
static RPM_GNUC_CONST int | risblank (int c)
| Locale insensitive isblank(3) More...
static RPM_GNUC_CONST int | risspace (int c)
| Locale insensitive isspace(3) More...
static RPM_GNUC_CONST int | rtolower (int c)
| Locale insensitive tolower(3) More...
static RPM_GNUC_CONST int | rtoupper (int c)
| Locale insensitive toupper(3) More...
static RPM_GNUC_CONST unsigned char | rnibble (char c)
| Convert hex to binary nibble. More...
static int | rstreq (const char *s1, const char *s2)
| Test for string equality. More...
static int | rstreqn (const char *s1, const char *s2, size_t n)
| Test for string equality. More...
RPM_GNUC_PURE int | rstrcasecmp (const char *s1, const char *s2)
| Locale insensitive strcasecmp(3). More...
RPM_GNUC_PURE int | rstrncasecmp (const char *s1, const char *s2, size_t n)
| Locale insensitive strncasecmp(3). More...
int | rasprintf (char **strp, const char *fmt,...) RPM_GNUC_PRINTF(2
| asprintf() clone More...
int char * | rstrcat (char **dest, const char *src)
| Concatenate two strings with dynamically (re)allocated memory. More...
char * | rstrscat (char **dest, const char *arg,...) RPM_GNUC_NULL_TERMINATED
| Concatenate multiple strings with dynamically (re)allocated memory. More...
size_t | rstrlcpy (char *dest, const char *src, size_t n)
| strlcpy() clone: Copy src to string dest of size n. More...
RPM_GNUC_PURE unsigned int | rstrhash (const char *string)
| String hashing function. More...

## Detailed Description

String manipulation helper functions.

Definition in file rpmstring.h.

## Function Documentation

## ◆ rnibble()

static RPM_GNUC_CONST unsigned char rnibble | ( | char | c | ) |
| inlinestatic

Convert hex to binary nibble.

Parameters

  c | hex character

Returns
  binary nibble

Definition at line 96 of file rpmstring.h.

## ◆ rstreq()

static int rstreq | ( | const char * | s1,
|  | const char * | s2
| ) |  |
| inlinestatic

Test for string equality.

Parameters

  s1 | string 1
  s2 | string 2

Returns
  0 if strings differ, 1 if equal

Definition at line 113 of file rpmstring.h.

## ◆ rstreqn()

static int rstreqn | ( | const char * | s1,
|  | const char * | s2,
|  | size_t | n
| ) |  |
| inlinestatic

Test for string equality.

Parameters

  s1 | string 1
  s2 | string 2
  n | compare at most n characters

Returns
  0 if strings differ, 1 if equal

Definition at line 125 of file rpmstring.h.

References rasprintf(), RPM_GNUC_NULL_TERMINATED, RPM_GNUC_PRINTF, RPM_GNUC_PURE, rstrcasecmp(), rstrcat(), rstrhash(), rstrlcpy(), rstrncasecmp(), and rstrscat().